Package org.apache.commons.math3.geometry.partitioning

# Class BoundaryAttribute<S extends Space>

java.lang.Object
org.apache.commons.math3.geometry.partitioning.BoundaryAttribute<S>

Type Parameters:
  `S` - Type of the space.

public class BoundaryAttribute<S extends Space> extends Object
Class holding boundary attributes.

This class is used for the attributes associated with the nodes of region boundary shell trees returned by the `Region.getTree(includeBoundaryAttributes)` when the boolean `includeBoundaryAttributes` parameter is set to `true`. It contains the parts of the node cut sub-hyperplane that belong to the boundary.

This class is a simple placeholder, it does not provide any processing methods.

Since:
  3.0
See Also:
  - `Region.getTree(boolean)`

## Constructor Summary

Constructors
Constructor
Description
`BoundaryAttribute(SubHyperplane<S> plusOutside, SubHyperplane<S> plusInside)`
Deprecated.
as of 3.4, the constructor has been replaced by a new one which is not public anymore, as it is intended to be used only by `BoundaryBuilder`

## Method Summary

Modifier and Type
Method
Description
`SubHyperplane<S>`
`getPlusInside()`
Get the part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane.
`SubHyperplane<S>`
`getPlusOutside()`
Get the part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane.
`NodesSet<S>`
`getSplitters()`
Get the sub-hyperplanes that were used to split the boundary part.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BoundaryAttribute

@Deprecated public BoundaryAttribute(SubHyperplane<S> plusOutside, SubHyperplane<S> plusInside)
Deprecated.
as of 3.4, the constructor has been replaced by a new one which is not public anymore, as it is intended to be used only by `BoundaryBuilder`
Simple constructor.

Parameters:
  `plusOutside` - part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane (may be null)
  `plusInside` - part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane (may be null)

## Method Details

### getPlusOutside

public SubHyperplane<S> getPlusOutside()
Get the part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane.

Returns:
  part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane

### getPlusInside

public SubHyperplane<S> getPlusInside()
Get the part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane.

Returns:
  part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane

### getSplitters

public NodesSet<S> getSplitters()
Get the sub-hyperplanes that were used to split the boundary part.

Returns:
  sub-hyperplanes that were used to split the boundary part